<!DOCTYPE HTML>
<html>
    <head>
        <title>Keyboard Events Demo</title>
        <style type="text/css">
            p {
				font-family: verdana;
                background: blue;
                color: white;
                padding: 10px;
                margin: 5px;
                border: thin solid black
            }
        </style>
    </head>
    <body>
        <form>
            <p>
                <label for="fave">Team: <input autofocus id="favTeam" name="favTeam"/></label>
            </p>
            <p>
                <label for="name">Name: <input id="name" name="name"/></label>
            </p>
            <button type="submit">Submit Vote</button>
            <button type="reset">Reset</button>
        </form>
        <span id="message"></span>

        <script type="text/javascript">
            
            var inputElems = document.getElementsByTagName("input");
            for (var i = 0; i < inputElems.length; i++) {
                inputElems[i].onkeyup = handleKeyboardEvent;
            }
            
            function handleKeyboardEvent(e) {
                document.getElementById("message").innerHTML = "Key pressed: " +
                    e.keyCode + " Char: " + String.fromCharCode(e.keyCode);
            }
        </script>        
    </body>
</html>
